Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
engineer0405

[Yêu cầu]Xin lisp chọn dim

Các bài được khuyến nghị

Hay là các bạn có thể sử dụng lisp này. Viết lại 1 tý :

(defun c:an (/ ssd dtuong)
(initget "")
(setq dtuong (getstring "\n Nhap ten doi tuong can An : / Enter de Pick chon doi tuong mau : "))
(if (= dtuong "") (setq dtuong (acet-dxf 0 (entget(car(entsel "\n Pick chon doi tuong mau :"))))))
  (if (setq ssd (ssget (list (cons 0 dtuong))))
    (acet-ss-visible (acet-ss-remove ssd (ssget "X" (list (cons 0 dtuong))  )) 1)
  )
)
;;;;;;;;
(defun c:Hien(/)
    (acet-ss-visible (ssget "X" '((60 . 1))) 0)
)
Cách chạy :

 

Command: an -> Gõ lệnh AN

Nhap ten doi tuong can An : / Enter de Pick chon doi tuong mau : LINE -> Nhập tên đối tượng cần ẩn.

Ví dụ LINE thì gõ LINE

TEXT và MTEXT có thể gõ *TEXT hoặc gõ TEXT,MTEXT

POLYLINE có thể gõ *POLYLINE

Block : gõ INSERT

DIMENSION thì gõ DIMENSION

HATCH thì gõ HATCH

.....

- Nếu bạn không nhớ tên thì có thể enter để chọn 1 đối tượng mẫu

- Chọn đối tượng cần giữ lại. Các đối tượng cùng "kiểu" với đối tượng không được chọn sẽ bị ẩn

 

Select objects: -> Chọn đối tượng cần giữ lại

 

Hiện lại thì gõ lệnh hien

 

....

 

Chúc vui

 

Lisp hay quá, bạn thay đổi một chút giúp mình với nhé, thay vì ẩn hiện đối tượng thì chỉ Select (chọn) đối tượng trong vùng chọn

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lisp hay quá, bạn thay đổi một chút giúp mình với nhé, thay vì ẩn hiện đối tượng thì chỉ Select (chọn) đối tượng trong vùng chọn

Mạn phép a Tue_VN cho em sửa giúp bạn pawuta 1 chút^^

Code đây bạn

(defun c:Chon (/ ssd dtuong)

(initget "")

(setq dtuong (getstring "\n Nhap ten doi tuong can An : / Enter de Pick chon doi tuong mau : "))

(if (= dtuong "") (setq dtuong (acet-dxf 0 (entget(car(entsel "\n Pick chon doi tuong mau :"))))))

(if (setq ssd (ssget (list (cons 0 dtuong))))

(sssetfirst ssd ssd)

)

)

 

P/s:Mình mới học lisp,thấy được thì ấn nút thanks khích lệ tinh thần tí.hi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×